# Configuration file for dnsmasq.
#
# Format is one option per line, legal options are the same
# as the long options legal on the command line. See
# "/usr/sbin/dnsmasq --help" or "man 8 dnsmasq" for details.

brol

# Never forward plain names (without a dot or domain part)
domain-needed

# Never forward addresses in the non-routed address spaces
bogus-priv

# Log Queries, disabled by default
# log-queries

# Logging should be async if enabled, buffer up to 25 lines
log-async=50

# Set the cache size to something reasonable
cache-size=2500

# Don't use hosts Name Servers
no-resolv

# Don't read the docker containers host file
no-hosts

# Forward Lookup Name Servers
server=127.0.0.1#40 # NS1
server=127.0.0.1#40 # NS2

# Include the zone whitelist
conf-file=/etc/dnsmasq.whitelist

# Include the zone blacklist
conf-file=/etc/dnsmasq.blacklist

# Include all files in the mountable volume
conf-dir=/config,*.conf

# Custom hosts
addn-hosts=/etc/dnsmasq.hosts
